%global pkg_name hamlet

%global common_summary Haml-like template files that are compile-time checked

%global common_description Hamlet gives you a type-safe tool for generating HTML code. \
It works via Quasi-Quoting, and generating extremely \
efficient output code. The syntax is white-space sensitive, \
and it helps you avoid cross-site scripting issues and 404 \
errors. Please see the documentation at \
<http://docs.yesodweb.com/hamlet/> for more details.

Name:           ghc-%{pkg_name}
Version:        0.8.2.1
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
# ppc64 not bootstrapped for Template Haskell
ExcludeArch:    ppc64
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-blaze-html-prof, ghc-failure-prof, ghc-parsec-prof, ghc-process-prof, ghc-template-haskell-prof, ghc-text-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_lib_package


%changelog
* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 0.8.2.1-2
- ghc_arches replaces ghc_excluded_archs (cabal2spec-0.23.2)

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 0.8.2.1-1
- update to 0.8.2.1
- use ghc_exclude_archs
- cabal2spec-0.23

* Wed Apr 20 2011 Jens Petersen <petersen@redhat.com> - 0.6.1.2-4
- allow to build with blaze-builder-0.3

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.6.1.2-3
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Ben Boeckel <mathstuf@gmail.com> - 0.6.1.2-1
- Update to 0.6.1.2

* Wed Dec 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.3-1
- Update to 0.6.0.3

* Tue Nov 23 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.2-1
- Update to 0.6.0.2

* Fri Nov 12 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0.1-1
- Update to 0.6.0.1

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.6.0-1
- Update to 0.6.0

* Tue Sep 21 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0.2-1
- Update to 0.5.0.2

* Tue Sep 14 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0.1-1
- Update to 0.5.0.1

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
